<?php declare(strict_types=1);

namespace Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Item;
use Infomaker\Everyware\NewsML\Parsers\Interfaces\ItemParser;
use SimpleXMLIterator;

/**
 * Class SocialEmbedLinkParser
 * @package Infomaker\Everyware\NewsML\Parsers
 */
abstract class SocialEmbedLinkParser implements ItemParser
{
    public function parse(SimpleXMLIterator $element): array
    {
        $item = new Item($element);
        $item->fill($this->getLinkData($item));

        return [$item];
    }

    protected function getLinkData(Item $item): array
    {
        return [];
    }
}
