<?php

namespace Spec\Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Parsers\FacebookPostLinkParser;
use PhpSpec\ObjectBehavior;
use Prophecy\Argument;

class FacebookPostLinkParserSpec extends ObjectBehavior
{
    function it_is_initializable()
    {
        $this->shouldHaveType(FacebookPostLinkParser::class);
    }

    public function it_should_parse_a_link()
    {
        $xml = '<link rel="self" type="x-im/facebook-post" url="https://www.facebook.com/stotenisalen/posts/10158053045049843" uri="im://facebook-post/10158053045049843"/>';
        $el = simplexml_load_string($xml, 'SimpleXMLIterator');
        $this->parse($el)->shouldBeValidItem([
            'rel' => 'self',
            'type' => 'x-im/facebook-post',
            'url' => 'https://www.facebook.com/stotenisalen/posts/10158053045049843',
            'uri' => 'im://facebook-post/10158053045049843',
        ]);
    }
}
