<?php

namespace Spec\Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Parsers\FacebookPageLinkParser;
use PhpSpec\ObjectBehavior;


class FacebookPageLinkParserSpec extends ObjectBehavior
{
    function it_is_initializable()
    {
        $this->shouldHaveType(FacebookPageLinkParser::class);
    }

    public function it_should_parse_a_link()
    {
        $xml = '<link rel="self" type="x-im/facebook-page" url="https://www.facebook.com/infomakerscandinavia" uri="im://facebook-page/infomakerscandinavia"/>';
        $el = simplexml_load_string($xml, 'SimpleXMLIterator');
        $this->parse($el)->shouldBeValidItem([
            'rel' => 'self',
            'type' => 'x-im/facebook-page',
            'url' => 'https://www.facebook.com/infomakerscandinavia',
            'uri' => 'im://facebook-page/infomakerscandinavia',
        ]);
    }
}
