<?php

namespace Spec\Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Parsers\FacebookVideoLinkParser;
use PhpSpec\ObjectBehavior;

class FacebookVideoLinkParserSpec extends ObjectBehavior
{
    function it_is_initializable()
    {
        $this->shouldHaveType(FacebookVideoLinkParser::class);
    }

    public function it_should_parse_a_link()
    {
        $xml = '<link rel="self" type="x-im/facebook-video" url="https://www.facebook.com/130004133621/videos/870816339922635/" uri="im://facebook-video/870816339922635"/>';
        $el = simplexml_load_string($xml, 'SimpleXMLIterator');
        $this->parse($el)->shouldBeValidItem([
            'rel' => 'self',
            'type' => 'x-im/facebook-video',
            'url' => 'https://www.facebook.com/130004133621/videos/870816339922635/',
            'uri' => 'im://facebook-video/870816339922635',
        ]);
    }
}
