<?php

namespace Spec\Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Parsers\InstagramLinkParser;
use PhpSpec\ObjectBehavior;
use Prophecy\Argument;

class InstagramLinkParserSpec extends ObjectBehavior
{
    function it_is_initializable()
    {
        $this->shouldHaveType(InstagramLinkParser::class);
    }
    public function it_should_parse_a_link()
    {
        $xml = '<link rel="self" type="x-im/instagram" url="https://www.instagram.com/p/zvV3xmOvb3/" uri="im://instagram/undefined"/>';
        $el = simplexml_load_string($xml, 'SimpleXMLIterator');
        $this->parse($el)->shouldReturnValidItem([
            'rel' => 'self',
            'type' => 'x-im/instagram',
            'url' => 'https://www.instagram.com/p/zvV3xmOvb3/',
            'uri' => 'im://instagram/undefined',
        ]);
    }
}
