<?php

namespace Spec\Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Parsers\Interfaces\ItemParser;
use Infomaker\Everyware\NewsML\Parsers\Interfaces\TypeParser;
use Infomaker\Everyware\NewsML\Parsers\MapEmbedParser;
use PhpSpec\ObjectBehavior;
use function Spec\newsML\loadNewsMLFile;

class MapEmbedParserSpec extends ObjectBehavior
{
    function it_is_initializable()
    {
        $this->shouldHaveType(MapEmbedParser::class);
        $this->shouldImplement(ItemParser::class);
        $this->shouldImplement(TypeParser::class);
    }

    public function it_should_return_its_type()
    {
        $this->typeToParse()->shouldReturn('x-im/mapembed');
    }

    public function it_should_parse_the_object()
    {
        $xml = simplexml_load_string(loadNewsMLFile('mapembed'), 'SimpleXMLIterator');
        $this->parse($xml)->shouldReturnValidItem([
            'id' => 'MTc0LDQwLDI5LDE3MA',
            'type' => 'x-im/mapembed',
            'zoom' => 11,
            'geometry' => 'POINT (16.35677910000004 56.6634447)'
        ]);
    }
}
