<?php

namespace Spec\Infomaker\Everyware\NewsML\Parsers;

use Infomaker\Everyware\NewsML\Parsers\TwitterLinkParser;
use Infomaker\Everyware\NewsML\Item;
use PhpSpec\ObjectBehavior;
use Prophecy\Argument;

class TwitterLinkParserSpec extends ObjectBehavior
{
    function it_is_initializable()
    {
        $this->shouldHaveType(TwitterLinkParser::class);
    }

    public function it_should_parse_an_element()
    {
        $xml = '<link rel="self" type="x-im/tweet" url="https://twitter.com/infomakernews/status/910422014271348736" uri="im://tweet/910422014271348736"/>';
        $el = simplexml_load_string($xml, 'SimpleXMLIterator');
        $this->parse($el)->shouldReturnValidItem([
            'rel' => 'self',
            'type' => 'x-im/tweet',
            'url' => 'https://twitter.com/infomakernews/status/910422014271348736',
            'uri' => 'im://tweet/910422014271348736',
        ]);
    }
}
